通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Configuration Names - List

列出服务连接器针对所有目标、客户端类型、身份验证类型生成的配置名称。

GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview
GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview&$filter={$filter}&$skipToken={$skipToken}

URI 参数

名称 必需 类型 说明
api-version
query True

string

minLength: 1

用于此操作的 API 版本。

$filter
query

string

OData 筛选器选项。

$skipToken
query

string

用于分页的 OData skipToken 选项。

响应

名称 类型 说明
200 OK

ConfigurationNameResult

还行。 请求已成功。

Other Status Codes

ErrorResponse

描述作失败的原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

GetConfigurationNames

示例请求

GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview

示例响应

{
  "value": [
    {
      "properties": {
        "targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
        "clientType": "none",
        "authType": "systemAssignedIdentity",
        "names": [
          {
            "value": "AZURE_APPCONFIGURATION_ENDPOINT",
            "description": "App configuration endpoint"
          },
          {
            "value": "AZURE_APPCONFIGURATION_SCOPE",
            "description": "The scopes required for the token."
          }
        ]
      }
    },
    {
      "properties": {
        "targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
        "clientType": "none",
        "authType": "userAssignedIdentity",
        "names": [
          {
            "value": "AZURE_APPCONFIGURATION_ENDPOINT",
            "description": "App configuration endpoint"
          },
          {
            "value": "AZURE_APPCONFIGURATION_CLIENTID",
            "description": "The client(application) ID of the user identity."
          },
          {
            "value": "AZURE_APPCONFIGURATION_SCOPE",
            "description": "The scopes required for getting token."
          }
        ]
      }
    }
  ],
  "nextLink": null
}

定义

名称 说明
AuthType

身份验证类型。

clientType

应用程序客户端类型

ConfigurationName

配置名称。

ConfigurationNameItem
ConfigurationNameResult

将基于不同目标资源、客户端类型、身份验证类型设置的配置名称列表。

DaprMetadata

dapr 组件元数据。

DaprProperties

指示 dapr 客户端类型的一些附加属性

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

AuthType

身份验证类型。

说明
systemAssignedIdentity
userAssignedIdentity
servicePrincipalSecret
servicePrincipalCertificate
secret
accessKey
userAccount

clientType

应用程序客户端类型

说明
none
dotnet
java
python
go
php
ruby
django
nodejs
springBoot
kafka-springBoot
dapr

ConfigurationName

配置名称。

名称 类型 说明
description

string

配置名称的说明。

required

boolean

表示配置是必需的或不需要

value

string

ConfigurationNameItem

名称 类型 说明
properties.authType

AuthType

身份验证类型。

properties.clientType

clientType

配置名称的客户端类型。

properties.daprProperties

DaprProperties

指示 dapr 客户端类型的一些附加属性

properties.names

ConfigurationName[]

要设置在计算服务环境中的配置名称。

properties.targetService

string

目标服务提供程序名称和资源名称。

ConfigurationNameResult

将基于不同目标资源、客户端类型、身份验证类型设置的配置名称列表。

名称 类型 说明
nextLink

string

链接到下一页的资源。

value

ConfigurationNameItem[]

每个目标服务的预期配置名称。

DaprMetadata

dapr 组件元数据。

名称 类型 说明
name

string

元数据属性名称。

secretRef

string

dapr 可以获取值的机密名称

value

string

元数据属性值。

DaprProperties

指示 dapr 客户端类型的一些附加属性

名称 类型 说明
componentType

string

dapr 组件类型

metadata

DaprMetadata[]

其他 dapr 元数据

scopes

string[]

dapr 组件范围

secretStoreComponent

string

要检索机密的机密存储 dapr 的名称

version

string

dapr 组件版本

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。